<h1>Graphe de migrations</h1>

<%= javascript_include_tag 'Node' %>
<%= javascript_include_tag 'Process' %>
<%= javascript_include_tag 'MigrationGraph' %>
<%= javascript_include_tag 'overlib' %>
<%= javascript_include_tag 'LoadingDiv' %>

<div id="loading" class="dynamic-graph">Loading ...</div>
<div id="migraph"></div>

<% javascript_tag do -%>
	var loader = new LoadingDiv("loader", "loading", "migraph", 1);
	var height = window.innerHeight - 110;
	var width = window.innerWidth - 275;
	var migraph = new MigrationGraph('migraph', width, height, <%= @date.to_i -%>, <%= @last_mig_id -%>);
<% end -%>

<%= periodically_call_remote( 
	:url => {:controller => 'tracker', :action => 'ajax_update_migrationGraph'},
	:method => :get,
	:frequency => 2, 
	:with => "'lastMigId=' + migraph.lastMigId + '&graph=migraph'"
)
%>

